## pyside-mobility 0.2.0-0maemo10

=== QtMobility/Sensors/CMakeLists.txt ===
project(Sensors)

set(Sensors_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometerfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometerfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometerreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometerreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometer_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightsensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompassfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompassfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompassreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompassreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompass_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompass_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometerfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometerfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometerreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometerreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometer_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationsensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qoutputrange_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qoutputrange_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximityfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximityfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximityreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximityreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximitysensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximitysensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationsensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorbackendfactory_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorbackendfactory_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorbackend_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorbackend_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensormanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensormanager_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorplugininterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorplugininterface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapsensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_sensors_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/sensors_module_wrapper.cpp
)

set(Sensors_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_SENSORS_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
)

set(Sensors_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_SENSORS_LIBRARY}
)

CREATE_PYSIDE_MODULE(Sensors
                     ${QT_MOBILITY_SENSORS_INCLUDE_DIR}
                     Sensors_SRC
                     Sensors_INCLUDE_DIRECTORIES
                     Sensors_LINK_LIBRARIES)

=== debian/changelog ===
pyside-mobility (0.2.0-0maemo10) unstable; urgency=low

  * PySide update.

 -- Renato Araujo <renato@renatofilho.indt.org>  Mon, 09 May 2011 14:16:52 -0300

pyside-mobility (0.2.0-0maemo9) unstable; urgency=low

  * Version bump.

 -- Renato Araujo <renato@renatofilho.indt.org>  Fri, 06 May 2011 14:12:49 -0300

=== debian/control ===
Source: pyside-mobility
Section: python
Priority: optional
Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 1.0.2), generatorrunner (>= 0.6.9), libshiboken-dev (>= 1.0.2), python-pyside (>= 1.0.2-1maemo3), libpyside-dev (>= 1.0.2-1maemo3), python-pyside-dbg (>= 1.0.2-1maemo3), shiboken-dbg (>= 1.0.2)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://www.pyside.org/

Package: python-qtmobility
Replaces: pyside-mobility
Provides: pyside-mobility
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility.contacts (>= ${binary:Version}),
	 python-qtmobility.location (>= ${binary:Version}),
	 python-qtmobility.messaging (>= ${binary:Version}),
	 python-qtmobility.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility.sensors (>= ${binary:Version}),
	 python-qtmobility.serviceframework (>= ${binary:Version}),
	 python-qtmobility.systeminfo (>= ${binary:Version}),
	 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (big metapackage)
 Python bindings for Qt Mobility. This is a metapackage for all modules.

Package: python-qtmobility-dbg
Replaces: pyside-mobility-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility.contacts (>= ${binary:Version}),
	 python-qtmobility.location (>= ${binary:Version}),
	 python-qtmobility.messaging (>= ${binary:Version}),
	 python-qtmobility.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility.sensors (>= ${binary:Version}),
	 python-qtmobility.serviceframework (>= ${binary:Version}),
	 python-qtmobility.systeminfo (>= ${binary:Version}),
	 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (debug symbols)
 Python bindings for Qt Mobility. This package contains the debug symbols.

Package: python-qtmobility.contacts
Replaces: pyside-mobility-contacts
Provides:pyside-mobility-contacts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3), python-pyside.qtgui (>= 1.0.2-1maemo3)
Description: Qt Mobility Contacts module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Contacts module.

Package: python-qtmobility.location
Replaces: pyside-mobility-location
Provides:pyside-mobility-location
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3)
Description: Qt Mobility Location module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Location module.

Package: python-qtmobility.messaging
Replaces: pyside-mobility-messaging
Provides:pyside-mobility-messaging
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= 1.0.2-1maemo3), python-pyside.qtxml (>= 1.0.2-1maemo3)
Description: Qt Mobility Messaging module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Messaging module.

Package: python-qtmobility.publishsubscribe
Replaces: pyside-mobility-publishsubscribe
Provides:pyside-mobility-publishsubscribe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtnetwork (>= 1.0.2-1maemo3), python-pyside.qtxml (>= 1.0.2-1maemo3)
Description: Qt Mobility Publish and Subscribe module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Publish and Subscribe module.

Package: python-qtmobility.sensors
Replaces: pyside-mobility-sensors
Provides:pyside-mobility-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3)
Description: Qt Mobility Sensors module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Sensors module.

Package: python-qtmobility.serviceframework
Replaces: pyside-mobility-serviceframework
Provides:pyside-mobility-serviceframework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3)
Description: Qt Mobility Service Framework module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Service Framework module.

Package: python-qtmobility.systeminfo
Replaces: pyside-mobility-systeminfo
Provides:pyside-mobility-systeminfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3), python-pyside.qtnetwork (>= 1.0.2-1maemo3)
Description: Qt Mobility SystemInfo module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the SystemInfo module.

Package: python-qtmobility.versit
Replaces: pyside-mobility-versit
Provides:pyside-mobility-versit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3), python-pyside.qtgui (>= 1.0.2-1maemo3), python-qtmobility.contacts
Description: Qt Mobility Versit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the QtOpenGL module.

=== debian/rules ===
#!/usr/bin/make -f

# Allow to find Qt 4.6 on Maemo
PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --with quilt --buildsystem=cmake --parallel $@

LDFLAGS="-Wl,--reduce-memory-overheads"

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)


#### CONFIGURE ####

override_dh_auto_configure: $(PYVERSIONS:%=override_dh_auto_configure_dbg-%) $(PYVERSIONS:%=override_dh_auto_configure-%)
	
override_dh_auto_configure_dbg-%:
	mkdir -p build-$*-dbg
	dh_auto_configure --builddirectory=build-$*-dbg -- \
		-DCMAKE_BUILD_TYPE:STRING="Debug" \
		-DCMAKE_SKIP_RPATH=true \
		-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake" \
		-DCMAKE_PYTHON_VERSION="$*-dbg;$*" \
		-DCMAKE_PYTHONLIB_VERSION="$*_d;$*" \
		-DPYTHON_BASENAME=python2.5-dbg


override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure --builddirectory=build-$* -- \
		-DCMAKE_BUILD_TYPE:STRING="Release" \
		-DCMAKE_SKIP_RPATH=true \
		-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake/" \
		-DCMAKE_PYTHON_VERSION=$* \
		-DCMAKE_PYTHONLIB_VERSION=$* \
		-DPYTHON_BASENAME=python2.5

#### BUILD ####

override_dh_auto_build: $(PYVERSIONS:%=override_dh_auto_build_dbg-%) $(PYVERSIONS:%=override_dh_auto_build-%)
	
override_dh_auto_build_dbg-%:
	dh_auto_build --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	dh_auto_build --builddirectory=build-$*

#### INSTALL ####

override_dh_auto_install: $(PYVERSIONS:%=override_dh_auto_install_dbg-%) $(PYVERSIONS:%=override_dh_auto_install-%)
	
override_dh_auto_install_dbg-%:
	dh_auto_install --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg

override_dh_auto_install-%:
	dh_auto_install --builddirectory=build-$*

#### STRIP ####
override_dh_strip:
	dh_strip --dbg-package=python-qtmobility-dbg --exclude=_d.so
		
#### TEST ####

override_dh_auto_test: $(PYVERSIONS:%=override_dh_auto_test_dbg-%) $(PYVERSIONS:%=override_dh_auto_test-%)
	
override_dh_auto_test_dbg-%:
	- dh_auto_test --builddirectory=build-$*-dbg

override_dh_auto_test-%:
	- dh_auto_test --builddirectory=build-$*

#### CLEAN ####

override_dh_auto_clean:
	rm -rf build-*
	cd tests; rm -Rf *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	rm -rf debian/tmp-dbg
	-find . -name *.py[co] | xargs rm

#### DEBIAN INSTALL ####

override_dh_install: override_dh_install_real

override_dh_install_first:
	# Move the debug .so's right in place
	#$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2.so$$3/'\
    #   	debian/tmp-dbg/usr/lib/python*/*-packages/QtMobility/*.so)

	$(shell for i in debian/tmp-dbg/usr/lib/python*/*-packages/QtMobility/*.so; do mv $$i $${i/.so/_d.so}; done)
	$(shell mv debian/tmp-dbg/usr/lib/python*/*-packages/QtMobility/*_d.so \
		debian/tmp/usr/lib/python*/*-packages/QtMobility/)

override_dh_install_real: override_dh_install_first
	# Do the legacy install
	dh_install --list-missing

## pyside-mobility 0.2.0-0maemo11

=== debian/changelog ===
pyside-mobility (0.2.0-0maemo11) unstable; urgency=low

  * Version bump.

 -- Willer Moreira <willer.moreira@openbossa.org>  Thu, 02 Jun 2011 15:04:23 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
-Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 1.0.2), generatorrunner (>= 0.6.9), libshiboken-dev (>= 1.0.2), python-pyside (>= 1.0.2-1maemo3), libpyside-dev (>= 1.0.2-1maemo3), python-pyside-dbg (>= 1.0.2-1maemo3), shiboken-dbg (>= 1.0.2)
+Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 1.0.3), generatorrunner (>= 0.6.10), libshiboken-dev (>= 1.0.3), python-pyside (>= 1.0.3), libpyside-dev (>= 1.0.3), python-pyside-dbg (>= 1.0.3), shiboken-dbg (>= 1.0.3)
 Standards-Version: 3.8.4
 XS-Python-Version: >= 2.5
 Homepage: http://www.pyside.org/
@@ -44,7 +44,7 @@
 Replaces: pyside-mobility-contacts
 Provides:pyside-mobility-contacts
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3), python-pyside.qtgui (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3), python-pyside.qtgui (>= 1.0.3)
 Description: Qt Mobility Contacts module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -55,7 +55,7 @@
 Replaces: pyside-mobility-location
 Provides:pyside-mobility-location
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3)
 Description: Qt Mobility Location module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -66,7 +66,7 @@
 Replaces: pyside-mobility-messaging
 Provides:pyside-mobility-messaging
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= 1.0.2-1maemo3), python-pyside.qtxml (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= 1.0.3), python-pyside.qtxml (>= 1.0.3)
 Description: Qt Mobility Messaging module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -77,7 +77,7 @@
 Replaces: pyside-mobility-publishsubscribe
 Provides:pyside-mobility-publishsubscribe
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtnetwork (>= 1.0.2-1maemo3), python-pyside.qtxml (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtnetwork (>= 1.0.3), python-pyside.qtxml (>= 1.0.3)
 Description: Qt Mobility Publish and Subscribe module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -88,7 +88,7 @@
 Replaces: pyside-mobility-sensors
 Provides:pyside-mobility-sensors
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3)
 Description: Qt Mobility Sensors module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -99,7 +99,7 @@
 Replaces: pyside-mobility-serviceframework
 Provides:pyside-mobility-serviceframework
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3)
 Description: Qt Mobility Service Framework module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -110,7 +110,7 @@
 Replaces: pyside-mobility-systeminfo
 Provides:pyside-mobility-systeminfo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3), python-pyside.qtnetwork (>= 1.0.2-1maemo3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3), python-pyside.qtnetwork (>= 1.0.3)
 Description: Qt Mobility SystemInfo module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.
@@ -121,7 +121,7 @@
 Replaces: pyside-mobility-versit
 Provides:pyside-mobility-versit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.2-1maemo3), python-pyside.qtgui (>= 1.0.2-1maemo3), python-qtmobility.contacts
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= 1.0.3), python-pyside.qtgui (>= 1.0.3), python-qtmobility.contacts
 Description: Qt Mobility Versit module - Python bindings
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones.

## pyside-mobility 0.2.3

=== CMakeLists.txt ===
include(icecc.cmake) # this must be the first line!

project(pysidemobility)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules/
                      ${CMAKE_MODULE_PATH})
find_package(PythonLibs REQUIRED)
find_package(PythonInterpWithDebug REQUIRED)
find_package(Shiboken 1.0.7 REQUIRED)
find_package(PySide 1.0.7 REQUIRED)
find_package(Qt4 4.6.2 REQUIRED)
SET(SUPPORTED_QT_VERSION "4.6.0")
find_package(QtMobility 1.0.0 REQUIRED )


if(CMAKE_HOST_UNIX)
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimization library size and performance. Only available on Release Mode" 0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden -Wno-strict-aliasing")
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wl,-O1")
        if(NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()

    if(CMAKE_HOST_APPLE)
        if (NOT QT_INCLUDE_DIR)
            set(QT_INCLUDE_DIR "/Library/Frameworks")
         endif()
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

set(BINDING_NAME QtMobility)
set(BINDING_API_MAJOR_VERSION "0")
set(BINDING_API_MINOR_VERSION "2")
set(BINDING_API_MICRO_VERSION "3")
set(BINDING_API_VERSION "${BINDING_API_MAJOR_VERSION}.${BINDING_API_MINOR_VERSION}.${BINDING_API_MICRO_VERSION}")

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)

include(${QT_USE_FILE})

set(BINDING_VERSION ${BINDING_API_VERSION})
find_program(GENERATOR generatorrunner REQUIRED)

if (NOT GENERATOR)
    message(FATAL_ERROR "You need to specify GENERATOR variable (-DGENERATOR=value)")
endif()

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


set(ARCHIVE_NAME pyside-mobility-${BINDING_API_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}')"
    OUTPUT_VARIABLE SITE_PACKAGE
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if (NOT SITE_PACKAGE)
    message(FATAL_ERROR "Could not detect Python module installation directory.")
endif()

# Detect if the python libs were compiled in debug mode
execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_config_var('Py_DEBUG')"
    OUTPUT_VARIABLE PY_DEBUG
    OUTPUT_STRIP_TRAILING_WHITESPACE)

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    if(NOT PYTHON_DEBUG_LIBRARIES)
        message(FATAL_ERROR "Python debug library not found. Try compile PySide with -DCMAKE_BUILD_TYPE=Release")
    endif()
    if(NOT PY_DEBUG)
        message(WARNING "Compiling PySide with debug enabled, but the python executable was not compiled with debug support.")
    else()
        add_definitions("-DPy_DEBUG")
    endif()
    set(PYSIDE_PYTHON_LIBRARIES ${PYTHON_DEBUG_LIBRARIES})
else()
    set(PYSIDE_PYTHON_LIBRARIES ${PYTHON_LIBRARIES})
endif()

set(GENERATOR_EXTRA_FLAGS --generatorSet=shiboken --enable-parent-ctor-heuristic --enable-pyside-extensions --enable-return-value-heuristic)
if(WIN32 OR DEFINED AVOID_PROTECTED_HACK)
    message(STATUS "PySide-Mobility will be generated avoiding the protected hack!")
    set(GENERATOR_EXTRA_FLAGS ${GENERATOR_EXTRA_FLAGS} --avoid-protected-hack)
    add_definitions(-DAVOID_PROTECTED_HACK)
else()
    message(STATUS "PySide-Mobility will be generated using the protected hack!")
endif()

enable_testing()

add_subdirectory(${BINDING_NAME})
add_subdirectory(doc)
add_subdirectory(tests)

=== debian/changelog ===
pyside-mobility (0.2.3-3) unstable; urgency=low

  * Add an explicit and tightly versionned dependency on python-
    qtmobility-common to python-qtmobility-dev for Policy compliance.

 -- Didier Raboud <odyx@debian.org>  Wed, 14 Dec 2011 14:05:25 +0100

pyside-mobility (0.2.3-2) unstable; urgency=low

  * Make the debug flavours build optional and don't build them by
    default.

 -- Didier Raboud <odyx@debian.org>  Wed, 14 Dec 2011 10:56:15 +0100

pyside-mobility (0.2.3-1) unstable; urgency=low

  * New upstream release (Closes: #640342).
    - Bump B-Ds on pyside and shiboken to >= 1.0.7.
    - Give the correct python suffix to shiboken configuration.

  * Add PySide.QtNetwork to QtMobility.MultimediaKit's Depends. (Closes:
    #645175)
  * Bump debhelper compat to 9, for auto- buildflags
  * XZ-compress python-qtmobility-dbg, add the needed Pre-Depends on
    dpkg 1.15.6.

 -- Didier Raboud <odyx@debian.org>  Mon, 07 Nov 2011 12:29:28 +0100

pyside-mobility (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #599917).

 -- Didier Raboud <odyx@debian.org>  Thu, 30 Jun 2011 17:08:23 +0200

=== debian/control ===
Source: pyside-mobility
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), cmake (>= 2.8.2), dpkg-dev (>= 1.15.6),
 python-all-dev (>= 2.6.6-3~),
 libqt4-dev (>= 4:4.7.0), libphonon-dev, qtmobility-dev (>= 1.0.0),
 libpyside-dev (>= 1.0.9), shiboken (>= 1.0.10), libshiboken-dev (>= 1.0.10),
 python-pyside.qtcore (>= 1.0.9),
 python-pyside.qtgui, python-pyside.qtnetwork,
 xvfb, xauth,
# Various Build-Depends are needed for success of the testsuite:
# python-pyside.qtcore, python-pyside.qtgui. xvfb, xauth
Standards-Version: 3.9.2.0
X-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside-mobility/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyside-mobility/trunk/
Homepage: http://www.pyside.org/

Package: python-qtmobility
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 python-qtmobility.connectivity (>= ${binary:Version}),
 python-qtmobility.contacts (>= ${binary:Version}),
 python-qtmobility.feedback (>= ${binary:Version}),
 python-qtmobility.gallery (>= ${binary:Version}),
 python-qtmobility.location (>= ${binary:Version}),
 python-qtmobility.messaging (>= ${binary:Version}),
 python-qtmobility.multimediakit (>= ${binary:Version}),
 python-qtmobility.organizer (>= ${binary:Version}),
 python-qtmobility.publishsubscribe (>= ${binary:Version}),
 python-qtmobility.sensors (>= ${binary:Version}),
 python-qtmobility.serviceframework (>= ${binary:Version}),
 python-qtmobility.systeminfo (>= ${binary:Version}),
 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt4 Mobility (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt4 framework. This is a metapackage for all modules.

Package: python-qtmobility-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-pyside.qtcore (>= 1.0.7), python-pyside.qtgui (>= 1.0.7)
Recommends: python-qtmobility.location (= ${binary:Version}),
 python-qtmobility.sensors (= ${binary:Version})
Description: Python bindings for Qt4 Mobility (common files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt4 framework. This contains the common files.

Package: python-qtmobility-dev
Architecture: any
Priority: extra
Section: libdevel
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version}),
 libqt4-dev (>= 4.6.2) , libphonon-dev, qtmobility-dev (>= 1.0.0),
 libpyside-dev (>= 1.0.7), libshiboken-dev (>= 1.0.7)
Provides: ${python:Provides}
Description: Python bindings for Qt4 Mobility (devel files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files.

Package: python-qtmobility.connectivity
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Connectivity - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Connectivity module.

Package: python-qtmobility.contacts
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Contacts - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Contacts module.

Package: python-qtmobility.feedback
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Feedback - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Feedback module.

Package: python-qtmobility.gallery
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Gallery - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Gallery module.

Package: python-qtmobility.location
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Location - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Location module.

Package: python-qtmobility.messaging
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Messaging - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Messaging module.

Package: python-qtmobility.multimediakit
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version}), python-pyside.qtnetwork (>= 1.0.7)
Provides: ${python:Provides}
Description: Qt4 Mobility MultimediaKit - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.MultimediaKit module.

Package: python-qtmobility.organizer
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Organizer - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Organizer module.

Package: python-qtmobility.publishsubscribe
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Publish and Subscribe - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.PublishSubscribe module.

Package: python-qtmobility.sensors
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Sensors - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Sensors module.

Package: python-qtmobility.serviceframework
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Service Framework - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.ServiceFramework module.

Package: python-qtmobility.systeminfo
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility System Information - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Systeminfo module.

Package: python-qtmobility.versit
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Versit - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Versit module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=cmake --parallel

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	BD_DEBUG           = python-all-dbg (>= 2.6.6-3~), shiboken-dbg (>= 1.0.10), python-pyside-dbg (>= 1.0.9),
endif

ifneq (,$(filter python-pyside-dbg,$(shell dh_listpackages)))
	BUILD_DEBUG = true
	CONFIGURE2_TARGETS = $(PYVERSIONS:%=override_dh_auto_configure_dbg-%)  $(PYVERSIONS:%=override_dh_auto_configure-%)
	BUILD2_TARGETS     = $(PYVERSIONS:%=override_dh_auto_build_dbg-%)  $(PYVERSIONS:%=override_dh_auto_build-%)
	INSTALL2_TARGETS   = $(PYVERSIONS:%=override_dh_auto_install_dbg-%)    $(PYVERSIONS:%=override_dh_auto_install-%)
	TEST2_TARGETS      = $(PYVERSIONS:%=override_dh_auto_test_dbg-%)  $(PYVERSIONS:%=override_dh_auto_test-%)
	
	STRIP2_PARAMETERS  = --dbg-package=python-qtmobility-dbg --exclude=-dbg.so --exclude=_d.so
else
	CONFIGURE2_TARGETS = $(PYVERSIONS:%=override_dh_auto_configure-%)
	BUILD2_TARGETS     = $(PYVERSIONS:%=override_dh_auto_build-%)
	INSTALL2_TARGETS   = $(PYVERSIONS:%=override_dh_auto_install-%)
	TEST2_TARGETS      = $(PYVERSIONS:%=override_dh_auto_test-%)
endif

update-control:
	sed -e 's/@BD-DEBUG@/$(BD_DEBUG)/g' debian/control.in > debian/control
ifdef BD_DEBUG
	cat debian/control.dbg-packages >> debian/control
endif

#### CONFIGURE ####

override_dh_auto_configure: $(CONFIGURE2_TARGETS)

override_dh_auto_configure_dbg-%:
	mkdir -p build-$*-dbg
	dh_auto_configure -a --builddirectory=build-$*-dbg -- \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_BUILD_TYPE:STRING="Debug" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_USE_PYTHON_VERSION="$*-dbg;$*_d;$*" \
	-DPython_ADDITIONAL_VERSIONS="$*-dbg;$*_d;$*" \
	-DPYTHON_BASENAME=-python$*-dbg \
	-DPYTHON_SUFFIX=-python$*-dbg

override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure -a --builddirectory=build-$* -- \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_USE_PYTHON_VERSION=$* \
	-DPython_ADDITIONAL_VERSIONS=$* \
	-DPYTHON_BASENAME=-python$* \
	-DPYTHON_SUFFIX=-python$*

#### BUILD ####

override_dh_auto_build: $(BUILD2_TARGETS)

override_dh_auto_build_dbg-%:
	dh_auto_build -a --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	dh_auto_build -a --builddirectory=build-$*

#### INSTALL ####

override_dh_auto_install: $(INSTALL2_TARGETS)

override_dh_auto_install_dbg-%:
	dh_auto_install -a --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg

override_dh_auto_install-%:
	dh_auto_install -a --builddirectory=build-$*

#### STRIP ####
override_dh_strip:
	dh_strip -a $(STRIP2_PARAMETERS)

#### TEST ####
override_dh_auto_test: $(TEST2_TARGETS)

override_dh_auto_test_dbg-%:
	# Run tests in fake X Server in a non-blocking way
	- xvfb-run -a -s -noreset dh_auto_test -a --builddirectory=build-$*-dbg

override_dh_auto_test-%:
	# Run tests in fake X Server in a non-blocking way
	- xvfb-run -a -s -noreset dh_auto_test -a --builddirectory=build-$*

#### usr/share/doc/* symlinks ####
override_dh_link:
	# Replace doc directories by symlinks
	for p in `dh_listpackages -a -Npython-qtmobility-common`; do \
		rm -Rf debian/$$p/usr/share/doc/$$p; \
		ln -sf python-qtmobility-common debian/$$p/usr/share/doc/$$p ; \
	done
	dh_link

#### CLEAN ####
override_dh_auto_clean:
	rm -rf build-*
	cd tests; rm -Rf *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	- rm -rf debian/tmp-dbg

#### DEBIAN INSTALL ####

override_dh_install: override_dh_install_2

override_dh_install_1:
ifneq (,$(filter python-qtmobility-dbg, $(shell dh_listpackages)))
	# Move the debug .so's right in place
	$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2_d.so$$3/'\
	             debian/tmp-dbg/usr/lib/python*/*-packages/QtMobility/*.so)
endif

override_dh_install_2: override_dh_install_1
	# Do the legacy install for the rest
	dh_install -a --list-missing

override_dh_gencontrol:
	debian/dh_pycmakedeps --modules-root=QtMobility/
	dh_gencontrol

override_dh_builddeb:
ifdef BUILD_DEBUG
	# XZ-compress the huge python-qtmobility-dbg
	dh_builddeb -ppython-qtmobility-dbg -- -Zxz
endif
	dh_builddeb --remaining-packages

=== debian/watch ===
version=3
http://www.pyside.org/files/pyside-mobility-([\d\.]*).tar.bz2
